Package com.pixelmed.apps

# Class DoseReporterWithLegacyOCRAndAutoSendToRegistry.OurReceivedObjectHandler

java.lang.Object
com.pixelmed.network.ReceivedObjectHandler
com.pixelmed.apps.DoseReporterWithLegacyOCRAndAutoSendToRegistry.OurReceivedObjectHandler

Enclosing class:
  DoseReporterWithLegacyOCRAndAutoSendToRegistry

protected class DoseReporterWithLegacyOCRAndAutoSendToRegistry.OurReceivedObjectHandler extends ReceivedObjectHandler

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`OurReceivedObjectHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`sendReceivedObjectIndication(String dicomFileName, String transferSyntax, String callingAETitle)`
Do something with the received data set stored in the specified file name.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OurReceivedObjectHandler

protected OurReceivedObjectHandler()

## Method Details

### sendReceivedObjectIndication

public void sendReceivedObjectIndication(String dicomFileName, String transferSyntax, String callingAETitle) throws DicomNetworkException, DicomException, IOException
Description copied from class: `ReceivedObjectHandler`

Do something with the received data set stored in the specified file name.

Specified by:
  `sendReceivedObjectIndication` in class `ReceivedObjectHandler`
Parameters:
  `dicomFileName` -
  `transferSyntax` -
  `callingAETitle` -
Throws:
  `IOException`
  `DicomException`
  `DicomNetworkException`